import request from '@/utils/request'
// 登录
export function login(username, password, kaptcha = '') {
  return request({
    url: 'user/login',
    method: 'post',
    data: {
      username,
      password,
      kaptcha
    }
  })
}
// 获取用户信息
export function getInfo(token) {
  return request({
    url: '/user/info',
    method: 'get',
    params: { token }
  })
}
// 获取用户权限（菜单、按钮）
export function getMenus(token) {
  return request({
    url: '/user/permission',
    method: 'get',
    params: { token }
  })
}
// 登出
export function logout() {
  return request({
    url: '/user/logout',
    method: 'post'
  })
}
// 获取系统基础配置：公钥，验证码是否开启
export function getConfig() {
  return request({
    url: '/config/baseconfig',
    method: 'get'
  })
}
// 获取验证码图片
export function getKaptcha() {
  return request({
    url: '/kaptcha',
    method: 'get'
  })
}

// 获取业务权限
export function getBizPerm(token) {
  return request({
    url: '/config/getAuthorByDept',
    method: 'get',
    params: { token }
  })
}
